Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalScrollPaneUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ScrollPaneUI
                  |
                  +--javax.swing.plaf.basic.BasicScrollPaneUI
                        |
                        +--javax.swing.plaf.metal.MetalScrollPaneUI

All Implemented Interfaces:
  ScrollPaneConstants

public class MetalScrollPaneUI
extends BasicScrollPaneUI

A Metal L&F implementation of ScrollPaneUI.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

Inner classes inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`BasicScrollPaneUI.HSBChangeListener, BasicScrollPaneUI.PropertyChangeHandler, BasicScrollPaneUI.ViewportChangeHandler, BasicScrollPaneUI.VSBChangeListener`

Fields inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`hsbChangeListener, scrollpane, spPropertyChangeListener, viewportChangeListener, vsbChangeListener`

Fields inherited from interface javax.swing.ScrollPaneConstants
`COLUMN_HEADER, HORIZONTAL_SCROLLBAR, HORIZONTAL_SCROLLBAR_ALWAYS, HORIZONTAL_SCROLLBAR_AS_NEEDED, HORIZONTAL_SCROLLBAR_NEVER, HORIZONTAL_SCROLLBAR_POLICY, LOWER_LEADING_CORNER, LOWER_LEFT_CORNER, LOWER_RIGHT_CORNER, LOWER_TRAILING_CORNER, ROW_HEADER, UPPER_LEADING_CORNER, UPPER_LEFT_CORNER, UPPER_RIGHT_CORNER, UPPER_TRAILING_CORNER, VERTICAL_SCROLLBAR, VERTICAL_SCROLLBAR_ALWAYS, VERTICAL_SCROLLBAR_AS_NEEDED, VERTICAL_SCROLLBAR_NEVER, VERTICAL_SCROLLBAR_POLICY, VIEWPORT`

Constructor Summary
`MetalScrollPaneUI()`

Method Summary
`protected PropertyChangeListener` | `createScrollBarSwapListener()`
`static ComponentUI` | `createUI(JComponent x)`
`void` | `installListeners(JScrollPane scrollPane)`
`void` | `installUI(JComponent c)`
`void` | `uninstallListeners(JScrollPane scrollPane)`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicScrollPaneUI
`createHSBChangeListener, createPropertyChangeListener, createViewportChangeListener, createVSBChangeListener, getMaximumSize, getMinimumSize, getPreferredSize, installDefaults, installKeyboardActions, paint, syncScrollPaneWithViewport, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, updateColumnHeader, updateRowHeader, updateScrollBarDisplayPolicy, updateViewport`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalScrollPaneUI

    public MetalScrollPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `BasicScrollPaneUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `BasicScrollPaneUI`

### installListeners

    public void installListeners(JScrollPane scrollPane)

  Overrides:
    `installListeners` in class `BasicScrollPaneUI`

### uninstallListeners

    public void uninstallListeners(JScrollPane scrollPane)

### createScrollBarSwapListener

    protected PropertyChangeListener createScrollBarSwapListener()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.